Subject: Re: Perl 5.7.2
From: "Gerrit P. Haase" <[email-masked]>
To: John Peacock <[email-masked]>, [email-masked]
Date: Tue, 9 Oct 2001 09:12:56 +0200

John Peacock schrieb am 2001-10-08, 15:33:

Hi John,

>Now that I have calmed down, I am still willing to keep banging and 
>trying to work this through.  I'll grab the latest snapshot and see 
>what that does.  I am more focused on fixing Perl, but if I have to fix
>CygWin to do it, so be it.

Welcome in the Cygwin world:-)

O.k., I followed your example first:
http://www.cygwin.com/ml/cygwin/2001-10/msg00067.html

I'm getting no core in gdb (with cygwin-1.3.3-2):

$ gdb -nw ./miniperl
GNU gdb 5.0 (20010428-1)
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i686-pc-cygwin"...
(gdb) break Perl_safesysfree
Breakpoint 1 at 0x44a726: file util.c, line 142.
(gdb) run -e "\$ENV{'TEST'} = 1;"
Starting program: /src/buildperl/./miniperl.exe -e "\$ENV{'TEST'} = 1;"
Can't modify single ref constructor in scalar assignment at -e line 1, near "1;"
Execution of -e aborted due to compilation errors.

Program exited with code 0377.
(gdb) bt
No stack.
(gdb) 

How is it possible to set PERL_DESTRUCT_LEVEL=2 in gdb?
And what to try next?

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/